import request from '@/plugin/axios'
//查询列表
export function getMangeTrafficList (data) {
  return request({
    url: '/carDriveway/getCarDrivewayByPage',
    method: 'post',
    data
  })
}
// 获得区域下拉
// export function getAreaOptions (data) {
//   return request({
//     url: '/carAreaSet/getCarAreaPullDown',
//     method: 'post',
//     data
//   })
// }
// 获得工作站名下拉
  export function getWorkStationOptions (data) {
  return request({
    url: '/carPlace/getWorkstationPullDown',
    method: 'post',
    data
  })
}
// 获得对应设备下拉
export function getEquipmentOptions (data) {
  return request({
    url: '/carFacility/getCarFacilityPullDown',
    method: 'post',
    data
  })
}
// 修改保存
export function saveOrUpdateTraffic (data) {
  return request({
    url: '/carDriveway/saveOrUpdDriveway',
    method: 'post',
    data
  })
}
// 查询详细
export function getTrafficById (data) {
  return request({
    url: '/carDriveway/getCarDrivewayById',
    method: 'post',
    data
  })
}
// 删除
export function onDeleteTraffic (data) {
  return request({
    url: '/carDriveway/deleteCarDrivewayById',
    method: 'post',
    data
  })
}